const amqp = require('amqplib');
const cfg = require('../config/cfg.json')

let connection;
let channel;

async function init() {
    connection = await amqp.connect(cfg.rabbitmq.url);
    channel = await connection.createChannel();
}

function sendResponseToViewer(to, from, data) {
    channel.sendToQueue(cfg.rabbitmq.producer.queues.viewer, Buffer.from(JSON.stringify({
        to: to,
        from: from,
        text: data
    })));
}

module.exports = {
    init,
    sendResponseToViewer
}